Skip to main content
GET
/
api2
/
v1
/
priceLists
/
{priceListUid}
/
priceSets
List price sets
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "minimumPrice": 123,
      "prices": [
        {
          "price": 123,
          "workflowStep": {
            "abbr": "<string>",
            "id": "<string>",
            "lqaEnabled": true,
            "name": "<string>",
            "order": 123,
            "uid": "<string>"
          }
        }
      ],
      "sourceLang": "<string>",
      "targetLang": "<string>"
    }
  ],
  "numberOfElements": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "sort": {
    "orders": [
      {
        "property": "<string>"
      }
    ]
  },
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

priceListUid
string
required

Unique identifier of the price list

Query Parameters

pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:50

Page size, accepts values between 1 and 50, default 50

Required range: 1 <= x <= 50
sourceLanguages
string[]

Filter by source language code

targetLanguages
string[]

Filter by target language code

Response

OK

content
object[]
numberOfElements
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
sort
object
totalElements
integer<int32>
totalPages
integer<int32>